use strict;
use warnings;

# SEEK_ENDなどの定数をインポート
use POSIX qw/:fcntl_h/;

my $file = shift @ARGV
    or die "Usage: $0 file";

open my $fh, '<', $file
    or die "$!: $file";

# 末尾から1,024バイト前の位置に移動
seek $fh, -1024, SEEK_END
  or die "failed to seek: $!";

# $bufに1,024バイト分読み込む
read $fh, my $buf, 1024
  or die "failed to read: $!";

print $buf;
